## org.biojava.bio.dp
Interface Trainable

All Known Subinterfaces:
  EmissionState

All Known Implementing Classes:
  MagicalState, ProfileEmissionState, SimpleEmissionState

    public interface Trainable

Flags an object as being able to register itself with a model trainer.

Author:
  Matthew Pocock

Method Summary
`void` `registerWithTrainer(ModelTrainer mt)` Perform any registration that is necessary with mt.

Method Detail

### registerWithTrainer

    void registerWithTrainer(ModelTrainer mt)
                             throws BioException

  Perform any registration that is necessary with mt.

  This may include registering handlers for transition or emission counts, or registering other Trainable objects with the ModelTrainer.

  Parameters:
    `mt` - the ModelTrainer that encapsulates the training environment
  Throws:
    `BioException`